### Hierarchy

- XmlComponent
  - TableCell

## Index

### Constructors

- constructor

### Accessors

- Borders
- IsDeleted

### Methods

- addChildElement
- addGridSpan
- addParagraph
- addTable
- createParagraph
- delete
- prepForXml
- setVerticalAlign

## Constructors

### constructor

- new TableCell(): TableCell

- Overrides XmlComponent.constructor

  - Defined in file/table/table-cell/table-cell.ts:10

  #### Returns TableCell

## Accessors

### Borders

- get Borders(): TableCellBorders

- - Defined in file/table/table-cell/table-cell.ts:61

  #### Returns TableCellBorders

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addGridSpan

- addGridSpan(cellSpan: number): TableCell

- - Defined in file/table/table-cell/table-cell.ts:55

  #### Parameters

  - ##### cellSpan: number

  #### Returns TableCell

### addParagraph

- addParagraph(content: Paragraph): TableCell

- - Defined in file/table/table-cell/table-cell.ts:18

  #### Parameters

  - ##### content: Paragraph

  #### Returns TableCell

### addTable

- addTable(content: Table): TableCell

- - Defined in file/table/table-cell/table-cell.ts:23

  #### Parameters

  - ##### content: Table

  #### Returns TableCell

### createParagraph

- createParagraph(text?: undefined | string): Paragraph

- - Defined in file/table/table-cell/table-cell.ts:42

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Overrides XmlComponent.prepForXml

  - Defined in file/table/table-cell/table-cell.ts:28

  #### Returns IXmlableObject | undefined

### setVerticalAlign

- setVerticalAlign(type: VerticalAlign): TableCell

- - Defined in file/table/table-cell/table-cell.ts:49

  #### Parameters

  - ##### type: VerticalAlign

  #### Returns TableCell

Generated using TypeDoc